package com.fujitsu.iflowqa.testframe;


 public class javaActionSet{

    String  PlanInitJAS = "test";
    String  PlanCommitJAS = "test";
    String  ActPrologueJAS = "test";
    String  ActEpilogueJAS = "test";
    String  ActRoleJAS = "test";
    String  ConditionPrologueJAS = "test";
    String  ConditionEpilogueJAS = "test";
    String  OrEpilogueJAS = "test";
    String  AndEpilogueJAS = "test";
    String  DelayPrologueJAS = "test";
    String  DelayEpilogueJAS = "test";
    String  TimerJAS = "test";
    String  SubprocessPrologueJAS = "test";
    String  SubprocessEpilogueJAS = "test";



    public String getPlanInitJAS(String PlanInitJAS) {
        PlanInitJAS = "ProcessInitialized";
        return PlanInitJAS;
    }


    public String getPlanCommitJAS(String PlanCommitJAS) {
        PlanCommitJAS = "ProcessCompleted";
        return PlanCommitJAS;
    }

    public String getActPrologueJAS(String ActPrologueJAS) {
        ActPrologueJAS = "ActivityInitialized";
        return ActPrologueJAS;
    }


    public String getActEpilogueJAS(String ActEpilogueJAS) {
        ActEpilogueJAS = "ActivityCompleted";
        return ActEpilogueJAS;
    }

    public String getActRoleJAS(String ActRoleJAS) {
        ActRoleJAS = "RoleChanged";
        return ActRoleJAS;
    }


    public String getConditionPrologueJAS(String ConditionEpilogueJAS) {
        ConditionEpilogueJAS = "ConditionNodeInitalized";
        return ConditionEpilogueJAS;
    }

    public String getConditionEpilogueJAS(String ConditionEpilogueJAS) {
        ConditionEpilogueJAS = "ConditionNodeEvaluated";
        return ConditionEpilogueJAS;
    }


    public String getOrEpilogueJAS(String OrEpilogueJAS) {
        OrEpilogueJAS = "OrNodeEvaluated";
        return OrEpilogueJAS;
    }


    public String getAndEpilogueJAS(String AndEpilogueJAS) {
        AndEpilogueJAS = "AndNodeEvaluated";
        return AndEpilogueJAS;
    }



    public String getDelayPrologueJAS(String DelayPrologueJAS) {
        DelayPrologueJAS = "DelayNodeInitialized";
        return DelayPrologueJAS;
    }


    public String getDelayEpilogueJAS(String DelayEpilogueJAS) {
        DelayEpilogueJAS = "DelayNodeEvaluated";
        return DelayEpilogueJAS;
    }

    public String getTimerJAS(String TimerJAS) {
        TimerJAS = "TimerExecuted";
        return TimerJAS;
    }

    public String getSubprocessPrologueJAS(String SubprocessPrologueJAS) {
        SubprocessPrologueJAS = "SubprocessNodeInitalized";
        return SubprocessPrologueJAS;
    }

    public String getSubprocessEpilogueJAS(String SubprocessEpilogueJAS) {
        SubprocessEpilogueJAS = "SubprocessNodeCompleted";
        return SubprocessEpilogueJAS;
    }
}